bootstrap在ie8下,兼容媒体查询

最近使用bootstrap做网站的时候发现,在ie8下的媒体查询一直失效:

后来解决了,做如下记录:

1、必须运行在服务器下

2、hack 条件语法,如下:

    <!--[if lte ie 9]>
        <script src="js/html5shiv.min.js"></script>
        <script src="js/respond.min.js"></script>
    <![endif]-->   

这样写有一点不足的地方是,ie9同样也加载了上述两个文档,改成[if lte ie 8] 或者 [if lt IE 8] 都不生效,不知道为什么,如果有朋友知道,请留言告知下,谢谢!

3、如果在框架的js插件出现问题,常见的是折叠导航图标点击了显示不了下拉菜单,推荐使用jQuery1.x版本。

 

IT文库 » bootstrap在ie8下,兼容媒体查询
分享到: 更多 (0)

评论 抢沙发

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址